For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
      • POSTACH Checkout
      • POSTApple Pay Checkout
      • GETApple Pay Validate Merchant
      • POSTCapture Payment
      • POSTCard Checkout
      • POSTCard on File Authorized
      • POSTCard On File Checkout
      • POSTCash App Checkout
      • POSTCreate Pix Payment
      • POSTCrypto Payin
      • POSTGet Checkout Jwt Token
      • POSTGet Checkout Link
      • POSTGet Destination Auth Key
      • POSTGet Interchange Fees
      • GETGet supported chains and tokens
      • POSTGet Totals
      • POSTGet USDC Authorization Message (EVM only)
      • POSTGoogle Pay Checkout
      • POSTMerchant Initiated Transaction
      • POSTRain Checkout
      • PUTReview Payment Protection
      • POSTSaved Card Checkout
      • POSTSepa/Faster Payments Checkout (New Account)
      • POSTSepa/Faster Payments Checkout (Saved Account)
      • POSTUS Wire Domestic Payments Checkout (New Account)
      • POSTUS Wire Domestic Payments Checkout (Saved Account)
      • POSTVoid Payment
      • POSTZero Authorization
    • POSTGets USDC/SBC/EuroE on testnets
LogoLogo
RegisterLoginSandbox Login
API ReferenceCheckout

Capture Payment

POST
https://api-sandbox.coinflow.cash/api/checkout/capture
POST
/api/checkout/capture
$curl -X POST https://api-sandbox.coinflow.cash/api/checkout/capture \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "paymentId": "pay_9f8b7c6d4e3a2b1c",
> "subtotal": {
> "cents": 2599,
> "currency": "USD"
> }
>}'
200Successful
1{
2 "jobId": 987654321.123
3}

If a payment has been created with authOnly=true, capture it using this endpoint.

Was this page helpful?
Previous

Card Checkout

Next
Built with

Authentication

Authorizationstring

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

OR
Authorizationstring
API Key authentication via header

Request

This endpoint expects an object.
paymentIdstringRequired
The ID of the payment that was created.
subtotalobjectRequired
rentobjectOptional

(Solana only) if your transaction requires a known amount of Rent to be paid, you can pass it here.

transactionDataobjectOptional

(EVM only) if you want to execute an EVM transaction on a successful purchase, you can pass a transaction request here.

Gas fees for the transaction will be automatically calculated and added to the total charged to the customer. Optionally the merchant can opt to pay for these gas fees.

Response

Ok
jobIddouble or string